Skip to main content
Retrieve details for a specific workflow by ID.

Endpoint

GET /v1/accounts/:accountId/workflows/:id

Authentication

Bearer token required.

Path Parameters

id
string
required
The workflow’s unique ID.

Response

workflow
WorkflowRegistration
The workflow object. See WorkflowRegistration.

Example

curl "https://api.collab-kit.com/v1/accounts/${ACCOUNT_ID}/workflows/wf_abc123" \
  -H "Authorization: Bearer ${TOKEN}"
Response
{
  "type": "response",
  "success": true,
  "description": "Workflow retrieved",
  "data": {
    "workflow": {
      "id": "wf_abc123",
      "organization_id": "a1b2c3d4-...",
      "name": "Welcome message",
      "code": "export default async function(event, { store, room }) {\n  console.log(`User ${event.data.userId} joined`);\n  return { success: true };\n}",
      "events": ["participant.joined"],
      "room_id": null,
      "enabled": true,
      "created_at": "2026-05-29T10:00:00.000Z",
      "updated_at": "2026-05-29T10:00:00.000Z"
    }
  },
  "error": null
}